using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace Txgy.EWS.Client.Common.Converters
{
    public class DateTime2StringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            //string str=(DateTime.Parse(((string)value).Substring(0,23))).ToString("yyyy-MM-dd HH:mm:ss");
            string str = ((DateTime)value).ToString("yyyy-MM-dd HH:mm:ss");
            return str;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
